'Compileroption: "-s console"
#include "sGUI\sGUI.bas"
#include once "sGUI\BMPSimpleGadget.bas"

screen 14,32
InitGFX 0

dim as EventHandle ptr event
event=CreateEventHandle

dim as Gadget ptr plus,minus
plus= AddBMPSimpleGadget(event,30,30,"BMPs\PlusUnSelected.bmp","BMPs\PlusSelected.bmp","BMPs\PlusMask.bmp")
minus= AddBMPSimpleGadget(event,41,30,"BMPs\MinusUnSelected.bmp","BMPs\MinusSelected.bmp","BMPs\MinusMask.bmp")
GadgetOn(plus)
GadgetOn(minus)

dim as integer ff=freefile
open cons for output as ff

do
  event->xSleep(1)
  if event->GADGETMESSAGE then
    select case event->GADGETMESSAGE
      case plus
        print #ff,"BMPSimpleButton PLUS wurde angeklickt"
      case minus
        print #ff,"BMPSimpleButton MINUS wurde angeklickt"
    end select
  end if
loop until event->EXITEVENT

close ff

DestroyEventHandle (event)
end
/'
function AddBMPSimpleGadget (event as EventHandle ptr,x as integer,y as integer,fus as string,fs as string="",fm as string="") as Gadget ptr
event   ein Zeiger zu einem EventHandle
x       Position in px
y       Position in px
fus     Datei, BMP für unselektierten Zustand
fs      optional, BMP Datei für selektierten Zustand
fm      optional, BMP Datei für Maske, die den sensiblen Bereich definiert

weitere Manipulationen mit GadgetOn,GadgetOff,GadgetSleep

'/